#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	debugedit
Version		:	5.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Tools for debuginfo creation

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and GPLv2+ and LGPLv2+
URL		:	https://sourceware.org/debugedit/
			# https://sourceware.org/pub/debugedit/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	make
#BuildRequires	:	pkgconfig(libelf)
#BuildRequires	:	pkgconfig(libdw)
BuildRequires	:	help2man
BuildRequires	:	gnupg

Requires	:	binutils
Requires	:	coreutils
Requires	:	findutils
Requires	:	elfutils
Requires	:	gawk
Requires	:	sed
Requires	:	xz

#-----------------------------------------------------------------------------
%description
The debugedit project provides programs and scripts
for creating debuginfo and source file distributions,
collect build-ids and rewrite source paths in DWARF
data for debugging, tracing and profiling.
 
It is based on code originally from the rpm project
plus libiberty and binutils.  It depends on the
elfutils libelf and libdw libraries to read and write
ELF files, DWARF data and build-ids.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%license COPYING COPYING3 COPYING.LIB
%doc README
%{_bindir}/%{name}
%{_bindir}/sepdebugcrcfix
%{_bindir}/find-debuginfo
%{_bindir}/find-debuginfo.sh
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/sepdebugcrcfix.1.gz
%{_mandir}/man1/find-debuginfo.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__ln_s}						\
	./find-debuginfo				\
	%{buildroot}%{_bindir}/find-debuginfo.sh

#-----------------------------------------------------------------------------
%changelog
